\usepackage{mathtools} % For \coloneqq and \eqqcolon
\usepackage{stmaryrd} % For \llbracket and \rrbracket

% For truth tables
\usepackage{array}
\usepackage{arydshln}

% For piecewise functions
\usepackage{amsmath}

% For tables
\usepackage{tabularx}

% For self-explanatory reasons
\usepackage{indentfirst}

%%hdashline
\setlength\dashlinedash{0.2pt}
\setlength\dashlinegap{1.5pt}
\setlength\arrayrulewidth{0.3pt}
% big thanks to TeX Stack Exchange user voices (user 165801, https://tex.stackexchange.com/users/165801/voices?tab=profile)
% for greatly simplifying the code for beautiful truth tables

% Choose the language
\usepackage[french]{babel} % Load characters and hyphenation

% Load mathematical packages for theorems and related environments
\usepackage[framed=true]{kaotheorems}

% Load the package for hyperreferences
\usepackage{kaorefs}

% Load the bibliography package
\usepackage{kaobiblio}
\addbibresource{analyse/main.bib} % Bibliography file